FedoraForum.org - Fedora Support Forums and Community
Results 1 to 4 of 4
  1. #1
    Join Date
    Aug 2016
    Location
    Iraq
    Posts
    911
    Linux (Fedora) Firefox 61.0

    I have brocken dependencies update, what I should do ?

    Hi. I have the following:

    Code:
    Last metadata expiration check: 0:00:00 ago on Wed 11 Jul 2018 05:59:41 PM GMT.
    Dependencies resolved.
    
     Problem: cannot install the best update candidate for package mlt-freeworld-6.8.0-1.fc28.x86_64
      - nothing provides mlt = 6.10.0 needed by mlt-freeworld-6.10.0-1.fc28.x86_64
    ================================================================================
     Package          Arch      Version             Repository                 Size
    ================================================================================
    Upgrading:
     qtox             x86_64    1.16.0-1.fc28       rpmfusion-free-updates    5.2 M
    Skipping packages with broken dependencies:
     mlt-freeworld    x86_64    6.10.0-1.fc28       rpmfusion-free-updates     73 k
    
    Transaction Summary
    ================================================================================
    Upgrade  1 Package
    Skip     1 Package
    
    Total download size: 5.2 M
    Is this ok [y/N]: N
    Operation aborted.

    What I should do ? I abort process. It is the 1st time I face this. I faced it yesterday but till now no change !
    Fedora 28 X64 bit Cinnamon edition on Lenovo ThinkPad e550 with Intel core i7 5500 CPU @ 2.40 GH X 2, RAM = 8 GB, HHD = 1 TB, Hybrid VGA (Intel Corporation HD Graphic 5500 + Radeon R7 M265 2GB)

  2. #2
    Join Date
    Apr 2018
    Location
    Finland
    Posts
    39
    Linux (Fedora) Chrome 67.0.3396.79

    Re: I have brocken dependencies update, what I should do ?

    I'm new to this stuff so I might be wrong, but I think you just need to wait for package to be updated. I tried to install mlt-freeworld and it was offering me the 6.8 version only.

  3. #3
    Join Date
    Mar 2004
    Location
    In your closet
    Posts
    15,704
    Linux (Fedora) Firefox 61.0

    Re: I have brocken dependencies update, what I should do ?

    I agree with keikari, wait a bit, maybe a day or two.
    Glenn
    The Bassinator

  4. #4
    PabloTwo's Avatar
    PabloTwo is offline "Registered User" T-Shirt Winner
    Join Date
    Mar 2007
    Location
    Seville, FL
    Posts
    7,721
    Linux Chrome 67.0.3396.99

    Re: I have brocken dependencies update, what I should do ?

    It would appear that you have the rpmfusion-free-updates-testing repo enabled, which would cause that problem.
    Code:
    $ sudo dnf --enablerepo=rpmfusion-free-updates-testing  list mlt mlt-freeworld
    Last metadata expiration check: 2 days, 0:48:14 ago on Mon 09 Jul 2018 06:31:26 PM EDT.
    Available Packages
    mlt.i686                                                     6.8.0-2.fc28                                          updates                       
    mlt.x86_64                                                   6.8.0-2.fc28                                          updates                       
    mlt-freeworld.i686                                           6.8.0-1.fc28                                          rpmfusion-free-updates        
    mlt-freeworld.x86_64                                         6.10.0-1.fc28                                         rpmfusion-free-updates-testing
    Disable the rpmfusion-free-updates-testing repo.

    Code:
    $ sudo dnf --enablerepo=rpmfusion-free-updates-testing repoquery --requires mlt-freeworld-6.10.0 | grep "mlt ="
    Last metadata expiration check: 0:05:57 ago on Wed 11 Jul 2018 07:31:38 PM EDT.
    mlt = 6.10.0
    It has a dependency that doesn't exist as yet in any repo that I accessed.
    Last edited by PabloTwo; 12th July 2018 at 12:39 AM.

Similar Threads

  1. Canon printer LBP6000 brocken after kernel upgrade !
    By User808 in forum Using Fedora
    Replies: 7
    Last Post: 16th June 2017, 12:04 PM
  2. Failure to upgrade Firewalld (brocken dependencies)!
    By User808 in forum Installation, Upgrades and Live Media
    Replies: 3
    Last Post: 9th January 2017, 08:58 PM
  3. yum update suddenly finds all dependencies foe update
    By ramaswamyps in forum Installation, Upgrades and Live Media
    Replies: 6
    Last Post: 27th April 2006, 10:17 AM
  4. Its brocken my new computer - PLEASE HELP ME!
    By upload19 in forum Hardware & Laptops
    Replies: 11
    Last Post: 10th January 2005, 04:47 PM
  5. Its brocken my new computer - PLEASE HELP ME!
    By upload19 in forum Installation, Upgrades and Live Media
    Replies: 1
    Last Post: 9th January 2005, 02:15 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •